# Sink<T> class

A generic destination for data.

Multiple data values can be put into a sink, and when no more data is available, the sink should be closed.

This is a generic interface that other data receivers can implement.

Implementers
  - ChunkedConversionSink
  - EventSink

## Constructors

Sink()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

add(T data) → void
  Adds `data` to the sink. [...]
close() → void
  Closes the sink. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited